CentOS Bug Tracker
CentOS Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001931CentOS-5riccipublic2007-04-17 18:072007-11-12 03:47
Reporterrichs 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version5.0 - i386 
Target VersionFixed in Version5.1 
Summary0001931: Ricci module "ricci-modrpm" crashes, preventing Cluster configuration from Luci
DescriptionWhen using "luci" to configure a new Cluster, "luci" displays the following error:

"Please be patient - this cluster's configuration is being modified.
Creating node XXX for cluster YYY
A problem occurred when installing packages: failed to locate/execute module"

This is apparently the result of "luci" asking "ricci" to run "/usr/libexec/ricci-modrpm", which crashes with:

terminate called after throwing an instance of 'std::basic_string<char, std::char_traits<char>, shred_allocator<char> >'
Aborted

This prevents any Cluster configuration using "luci", the preferred method.

Also, the Upstream Provider's logo, trademark and links still exist on every "luci" web page.
Additional InformationTo use "luci", check the "Clustering" option in the CentOS 5 Installer, then run:

/usr/sbin/luci_admin init


TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004925)
rainigraf1 (reporter)
2007-04-23 04:51

I just wanted to confirm this issue.
It makes Luci quite useless.
(0005183)
rhysmcmurdo (reporter)
2007-05-17 09:42

Hi,

I would also like to confirm that this happens on Centos 5.0 x86_64 as well.
(0005188)
nidal (reporter)
2007-05-18 11:59

There is also a problem with system-config-cluster tool of Centos 5 . Its opened as a bug in upstream vendor's bugzilla. In /usr/share/system-config-cluster/CommandHandler.py, path for cman_tool is wrongly given as /sbin/cman_tool when its actually /usr/sbin/cman_tool. Because of this,we can't administer a cluster with this utility. Solution is to create a symlink and things will work fine . Please see the following link for details.
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=233621 [^]

What I have found is in CentOS 5 atleast, the same issue (wrong path for cman_tool) is there in /var/lib/luci/Extensions/CommandHandler.py. But unlike the bug in system-config-cluster , creating a symlink is not solving the problem. I am pretty surprised that bugs like this have not been detected in beta period especially with upstream vendor.
(0005317)
YonatanE (reporter)
2007-06-07 10:41

Hi,

This is what i did to fix this issue:


mv /etc/redhat-release /etc/redhat-release.orig

echo "Red Hat Enterprise Linux Server release 5 (Tikanga)" > /etc/redhat-release

Fixed my problem.

Yonatan.
(0005329)
daugustus (reporter)
2007-06-08 19:58

This is is also confirmed on X86_64.

(0005188) and (0005317) allowed me to use luci successfully to create/manage my new cluster.

Enjoy!
(0006267)
kbsingh@karan.org (administrator)
2007-11-12 03:47

Fix for (0005317) is rolled into 5.1

(0005188) seems to no longer be required, since system-config-cluster has been fixed to look at /usr/sbin/cman_tool

- Issue History
Date Modified Username Field Change
2007-04-17 18:07 richs New Issue
2007-04-17 18:07 richs Status new => assigned
2007-04-23 04:51 rainigraf1 Note Added: 0004925
2007-05-17 09:42 rhysmcmurdo Note Added: 0005183
2007-05-18 11:59 nidal Note Added: 0005188
2007-06-07 10:41 YonatanE Note Added: 0005317
2007-06-08 19:58 daugustus Note Added: 0005329
2007-06-20 15:40 danieldk Status assigned => acknowledged
2007-11-12 03:21 kbsingh@karan.org Status acknowledged => assigned
2007-11-12 03:47 kbsingh@karan.org Note Added: 0006267
2007-11-12 03:47 kbsingh@karan.org Status assigned => resolved
2007-11-12 03:47 kbsingh@karan.org Fixed in Version => 5.1
2007-11-12 03:47 kbsingh@karan.org Resolution open => fixed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker